package com.takensoft.ai_lms.lms.problem.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class ProblemVO {
    // 문제 아이디
    private String prblmId;
    // 문제 내용
    private String prblmExpln;
    // 문제 점수
    private int prblmScr;
    // 문제 힌트
    private String prblmHint;
    // 문제 해설
    private String prblmCmmt;
    // 파일 관리 아이디
    private String fileMngId;
    // 유형 아이디
    private String prblmTypeId;
    // 카테고리 아이디
    private String prblmCtgryId;
    // 사용자 아이디(선생)
    private String userId;
    // 책 아이디
    private String bookId;
    // 단원 아이디
    private String unitId;
    // 문제 지표 1
    private String prblmMtr1;
    // 문제 지표 2
    private String prblmMtr2;
    // 문제 지표 3
    private String prblmMtr3;
    // 문제 지표 4
    private String prblmMtr4;
    // 문제 지표 5
    private String prblmMtr5;
    // 문제 지표 6
    private String prblmMtr6;
}
